Bug 1195430 - [abrt] terminator: python2.7 killed by SIGSEGV
Summary: [abrt] terminator: python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: terminator
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:19926e336bb10c62d091c23746b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 20:39 UTC by Steve Eff
Modified: 2015-12-02 17:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:22:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (33.52 KB, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: cgroup (190 bytes, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: core_backtrace (4.37 KB, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: dso_list (14.23 KB, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: environ (1.66 KB, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: exploitable (82 bytes, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: maps (67.08 KB, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: open_fds (2.65 KB, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details
File: var_log_messages (169 bytes, text/plain)
2015-02-23 20:39 UTC, Steve Eff
no flags Details

Description Steve Eff 2015-02-23 20:39:24 UTC
Description of problem:
I was running a SOCKS proxy through SSH (ssh -D 5222) and the proxy may have disconnected. I was also running a proxy with mitmproxy. Not sure of the exact cause.

Version-Release number of selected component:
terminator-0.97-6.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 3
cmdline:        /usr/bin/python /usr/bin/terminator
executable:     /usr/bin/python2.7
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.8/Python/ceval.c:2531
 #2 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.8/Python/ceval.c:3342
 #3 function_call at /usr/src/debug/Python-2.7.8/Objects/funcobject.c:526
 #4 PyObject_Call at /usr/src/debug/Python-2.7.8/Objects/abstract.c:2529
 #5 instancemethod_call at /usr/src/debug/Python-2.7.8/Objects/classobject.c:2602
 #6 PyObject_Call at /usr/src/debug/Python-2.7.8/Objects/abstract.c:2529
 #7 PyEval_CallObjectWithKeywords at /usr/src/debug/Python-2.7.8/Python/ceval.c:3979
 #8 PyObject_CallObject at /usr/src/debug/Python-2.7.8/Objects/abstract.c:2517
 #9 pyg_closure_marshal at pygtype.c:1216

Potential duplicate: bug 819503

Comment 1 Steve Eff 2015-02-23 20:39:25 UTC
Created attachment 994483 [details]
File: backtrace

Comment 2 Steve Eff 2015-02-23 20:39:26 UTC
Created attachment 994484 [details]
File: cgroup

Comment 3 Steve Eff 2015-02-23 20:39:27 UTC
Created attachment 994485 [details]
File: core_backtrace

Comment 4 Steve Eff 2015-02-23 20:39:27 UTC
Created attachment 994486 [details]
File: dso_list

Comment 5 Steve Eff 2015-02-23 20:39:28 UTC
Created attachment 994487 [details]
File: environ

Comment 6 Steve Eff 2015-02-23 20:39:29 UTC
Created attachment 994488 [details]
File: exploitable

Comment 7 Steve Eff 2015-02-23 20:39:29 UTC
Created attachment 994489 [details]
File: limits

Comment 8 Steve Eff 2015-02-23 20:39:30 UTC
Created attachment 994490 [details]
File: maps

Comment 9 Steve Eff 2015-02-23 20:39:31 UTC
Created attachment 994491 [details]
File: open_fds

Comment 10 Steve Eff 2015-02-23 20:39:32 UTC
Created attachment 994492 [details]
File: proc_pid_status

Comment 11 Steve Eff 2015-02-23 20:39:32 UTC
Created attachment 994493 [details]
File: var_log_messages

Comment 12 Steve Eff 2015-03-02 19:38:55 UTC
In the original report, I noted that I was running a SOCKS proxy when this error occurred. Since then, the same crash has happened while not running a SOCKS proxy, so perhaps it's unrelated to the proxy. 

This time, I had two tabs open in Terminator, and one of the tabs contained a window with a split, both splits were running the Mutt mail client. When I turned to the system after an hour, Terminator had quit unexpectedly.

Comment 13 Fedora End Of Life 2015-11-04 13:22:19 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 09:23:01 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.